use clap::Parser;

mod run;
mod process;

#[derive(Debug, Parser, Default)]
enum Commands {
    #[default]
    Run,
    Process(process::Options)
}

fn main() -> anyhow::Result<()> {
    env_logger::init();
    let commands = Commands::parse();
    match commands {
        Commands::Run => run::run(),
        Commands::Process(opts) => process::process(opts),
    }
}
